### Virtual Method

# Foundry VcsBlame update

#### Declaration [src]

    DexFuture*
    update (
      FoundryVcsBlame* self,
      GBytes* bytes
    )

#### Description [src]

Update the blame using the contents in `bytes`.

If `bytes` is `NULL` then the underlying file contents will be used as if no modifications were provided.

#### Parameters

`bytes`

  Type: `GBytes`

  Data for the blame or `NULL` to reset to file defaults.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.